Summary:	A cpufreq plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka cpufreq dla panelu Xfce
Name:		xfce4-cpufreq-plugin
Version:	1.3.0
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-cpufreq-plugin/1.3/%{name}-%{version}.tar.xz
# Source0-md5:	5fadf039add3819180fd076318584ccc
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.50.0
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	libxfce4ui-devel >= 4.16.0
BuildRequires:	libxfce4util-devel >= 4.17.2
BuildRequires:	meson >= 0.54.0
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 2.000
BuildRequires:	xfce4-dev-tools >= 4.17.2
BuildRequires:	xfce4-panel-devel >= 4.16.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	xfce4-panel >= 4.16.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This plugin displays the current frequency of the CPU, in GHz or MHz
as necessary. It also displays the frequency relative to the maximum
CPU frequency as an accordingly colored progress bar.

%description -l pl.UTF-8
Ta wtyczka wyświetla aktualną częstotliwość procesora w GHz lub MHz.
Wyświetla także częstotliwość względem maksymalnej częstotliwości
procesora jako odpowiednio pokolorowany pasek.

%prep
%setup -q

%build
%meson
%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hye,ie,ur_PK}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libcpufreq.so*
%{_datadir}/xfce4/panel/plugins/cpufreq.desktop
%{_iconsdir}/hicolor/*/*/*.png
%changelog
* Sat May 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-cpufreq-plugin.git;a=log;h=master

* Sat May 24 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f61c00b
- up to 1.3.0

* Fri Dec 27 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b01003f
- up to 1.2.9

* Thu Jul 06 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 4350c4a
- up to 1.2.8

* Sat Feb 05 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 14e9452
- up to 1.2.7

* Sun Jan 30 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> ede3d0c
- up to 1.2.6

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 668053d
- rebuild with separate debuginfo build-ids

* Tue Mar 02 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d805759
- up to 1.2.5

* Thu Feb 04 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9b1e9bf
- up to 1.2.4

* Tue Jan 12 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 0fd56c8
- up to 1.2.3

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9296486
- up to 1.2.2

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> a9221f1
- remove obsolete patch

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 72e7e6e
- up to 1.2.1

* Sat Jan 06 2018 Jan Rękorajski <baggins@pld-linux.org> 8a3e407
- up to 1.1.3

* Sat Jan 06 2018 Jan Rękorajski <baggins@pld-linux.org> 5b70795
- /proc/cpuinfo shows only the basic cpu clock speed since kernel 4.13

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 5553e46
- up to 1.1.1

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 6fb4d50
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2b26e2d
- updated gettext BR

* Sat Aug 16 2014 Jan Rękorajski <baggins@pld-linux.org> d404f08
- up to 1.1.0

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 25ea24e
- release 3

* Tue Mar 01 2011 Jan Rękorajski <baggins@pld-linux.org> 1babd3c
- rel 2
- port to libxfce4ui

